Name: H5Tis_variable_str
Signature:
  htri_t `H5Tis_variable_str`(hid_t `dtype_id` )
Purpose:
  Determines whether datatype is a variable-length string.
Description:
  `H5Tis_variable_str` determines whether the datatype identified in `dtype_id` is a variable-length string.

  This function can be used to distinguish between fixed and variable-length string datatypes.

Parameters:

hid_t `dtype_id` | Datatype identifier.

Returns:
  Returns `TRUE` or `FALSE` if successful; otherwise returns a negative value.
Fortran90 Interface: h5tis_variable_str_f

      SUBROUTINE h5tis_variable_str_f(type_id, status, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id   ! Datatype identifier
        LOGICAL, INTENT(OUT)       :: status    ! Logical flag:
                                                !    .TRUE. if datatype is a
                                                !         variable string
                                                !    .FALSE. otherwise
        INTEGER, INTENT(OUT) :: hdferr          ! Error code
      END SUBROUTINE h5tis_variable_str_f

History:

Release | C
1.6.0 | Function introduced in this release.